Include ::daemon or ::cron based on param value
Description
Currently when attempting to install and configure the Puppet agent, it is not configured to run either as a daemon or a cron job.

Could add a param such as 'runmode’, which could either be 'daemon’ or 'cron’.
This can then include the relevant classes based upon it's value.

History

#1 - 03/12/2013 10:54 AM - Gavin Williams
Have added some rough code to a local branch: https://github.com/fatmcgav/puppet-puppet/commit/45211baf848d241049cd5793e000cd39c5c1b6dc

Comments welcome before submitting as a pull request.

#2 - 03/12/2013 11:12 AM - Dominic Cleal

| like the look of that. It'd begin to fix an issue I've hit before with the service not being set up (we're also missing enable => true on the service
resource). The only small difficulty will be if people today are including both the puppet and puppet::cron classes to get cron-based puppet, but | think
it's worth ignoring for the goal of parameterising it.

#3 - 03/12/2013 11:15 AM - Greg Sutcliffe
Dominic Cleal wrote:
| like the look of that. It'd begin to fix an issue I've hit before with the service not being set up (we're also missing enable => true on the service

resource). The only small difficulty will be if people today are including both the puppet and puppet::cron classes to get cron-based puppet, but |
think it's worth ignoring for the goal of parameterising it.

Do it as an include, then it won't conflict with existing setups, since include can be used multiple times.
#4 - 03/12/2013 11:20 AM - Gavin Williams
Greg Sutcliffe wrote:
Dominic Cleal wrote:
| like the look of that. It'd begin to fix an issue I've hit before with the service not being set up (we're also missing enable => true on the

service resource). The only small difficulty will be if people today are including both the puppet and puppet::cron classes to get cron-based
puppet, but | think it's worth ignoring for the goal of parameterising it.

Do it as an include, then it won't conflict with existing setups, since include can be used multiple times.

Makes sense... Will convert to use include and submit as a PR :)

#5 - 03/12/2013 11:30 AM - Gavin Williams

Pull request in - https:/github.com/theforeman/puppet-puppet/pull/48

Cheers
Gav
https://github.com/fatmcgav/puppet-puppet/commit/45211baf848d241049cd5793e000cd39c5c1b6dc
https://github.com/theforeman/puppet-puppet/pull/48

#6 - 05/07/2016 12:01 PM - Anonymous

- Status changed from New to Resolved

this got merged and since then extended in theforeman-puppet

05/20/2024 22


http://www.tcpdf.org

